Bug 297313 - Filters dialogs jump randomly when resized
Summary: Filters dialogs jump randomly when resized
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 2.4
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-02 14:19 UTC by Antoine
Modified: 2012-04-04 22:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine 2012-04-02 14:19:33 UTC
Go to Filters / Any filter that has a settings dialog.
Resize the dialog window.
The window jumps (kind of ) randomly.
I thinks that there is a conflict between two things: 
1/ the standard resize event
 and 
2/ something that tries to keep the dialogs centered, or at least keep the center of the dialog at the same place.
Comment 1 Halla Rempt 2012-04-02 14:31:58 UTC
Thanks, yes I can confirm.
Comment 2 Sven Langkamp 2012-04-04 22:26:13 UTC
Git commit 75bb4b36107f2d0bca0dab751f6b39da7346308e by Sven Langkamp.
Committed on 05/04/2012 at 00:22.
Pushed by langkamp into branch 'master'.

workaroung to be able to resize the filter dialog after it's centered

M  +15   -9    krita/ui/dialogs/kis_dlg_filter.cpp

http://commits.kde.org/calligra/75bb4b36107f2d0bca0dab751f6b39da7346308e